Skip to main content
POST
Upload a task batch CSV

Authorizations

Authorization
string
header
required

API key authentication. Your API key should start with brb_.

Example: Authorization: Bearer brb_1234567890abcdef

Path Parameters

subnet_id
string
required

The unique identifier of the subnet (ULID format)

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Body

multipart/form-data
csv_file
file
required

CSV file containing task run rows. See documentation for required columns.

Response

CSV accepted for processing. Use the returned id to poll for status.

id
string
required

Batch upload ID — use this to poll for status

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
Example:

"01ARZ3NDEKTSV4RRFFQ69G5FAZ"

queued
integer
required

Number of rows accepted and queued for processing

Example:

42

failed
integer
required

Number of rows rejected due to validation errors

Example:

1